X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Java doesn't work on FFox 17 because Java plug add-on is disabled due to security problems claimed by FFox

Posted

I just deleted old Java updates and installed new Java updates from legit Java site. Same problem persists. When testing java at the java test page, it says it's not there, "missing plug ins". I open Mozilla add-ons and get this: Java (TM) Platform SE 7 U9 10.9.2.5 disabled due to incompatibility/security reasons. Java does not give any other files to download. What am I supposed to do? I'm having problems with my website ATM because of Java & tons of missing java internet problems.

Please someone answer my question accurately and please solve my problem soon without asking me unrelated questions or questions to which I've already given the answer here (see below). Thank you.

Chosen solution

Only Java update 7 is currently blocked, Update 9 shouldn't be blocked. It is likely that Firefox hasn't updated the blocklist yet on your computer. Java update 9 is the most recent version of Java and the most secure (however I have no doubt in a few weeks they'll release yet another version)

Read this answer in context 6

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.3.633
  • Yahoo Application State Plugin version 1.0.0.7
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Adobe PDF Plug-In For Firefox and Netscape

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:17.0) Gecko/17.0 Firefox/17.0

More Information

I use:
Vista Home Premium - 32 bit
Mozilla Firefox 17.0
What I've done:
Deleted cookies, cache, rebooted.
Reinstalled both Java & Firefox.
Nothing is working.
Can someone please help enable Java? am I supposed to go back to a previous Moz FFox version and which?? version 10 or...??
Please hep me make Java work by giving me simple instruction: I'm not PC savvy at all. Thank you.

Question owner

I can't believe this thing deleted half my text while it asked me to verify! UGH!

I have: Vista Home Premium 32 bit

I have: Unistalled/reinstalled both Firefox 17.0 & Java Cleared cache/cookies Rebooted Done anything common sense dictates.

I need A simple solution that is worded simply and that works. Please & thanks!

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6639 answers

Go to Java.com, and download the latest version of Java. Install it. Then start Firefox up, type about:addons into the address bar, press enter, and then go to Plugins and enable Java.

Helpful Reply

Thank you Tylerdowner but as you see in my OP: Ive already stated having done all these things! I have 2 Java in add-ons which one are you talking about? Java Deployment Toolkit 7.0 is enabled and, per my OP, Java (TM) Platform SE 7 U9 10.9.2.5 disabled by FIREFOX due to incompatibility/security reasons.

I'm sorry, are you telling me to enable Java in spite of the security risk and incompatibility with FFOX 17?? Since I see you're a mod, why? Please explain as I'm concerned about the security risks & more important (since I have powerful security) about incompatibility issues. Thanks in advance for clarifying

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6639 answers

Chosen Solution

Only Java update 7 is currently blocked, Update 9 shouldn't be blocked. It is likely that Firefox hasn't updated the blocklist yet on your computer. Java update 9 is the most recent version of Java and the most secure (however I have no doubt in a few weeks they'll release yet another version)

Question owner

Thank you for your reply. OK well I've just clicked enable on that "Java (TM) Platform SE 7 U9 10.9.2.5" Is there anything I need to watch out for so far as incompatibilities? Am I supposed to reboot once more or just restart firefox or neither?

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6639 answers

You should just be able to restart Firefox and be set after that.

Question owner

Thank you I will try it now then go check things with the test at Java and my website. OK I don't need to reboot, I tested at Java.com and it says "Congratulations! You have the recommended Java installed (Version 7 Update 9). " Woo-hoo! :-D Thanks so much!!! FINALLY! Happy! :-). However I'm still having the same problem at my website

Modified by it_is

cor-el
  • Top 10 Contributor
  • Moderator
10751 solutions 96744 answers

Do you really mean Java and not JavaScript?

To avoid confusion:

Make sure that you do not block JavaScript in case that is the problem.

Start Firefox in Safe Mode to check if one of the extensions (Firefox/Tools > Add-ons > Extensions) or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance).

  • Do not click the Reset button on the Safe mode start window or otherwise make changes.
AmosMoses 0 solutions 2 answers

I did what you advised and still FF window crashes (disappears). It runs for a while in Processes then quits altogether.

Win7 Ult. FF 17 Java 7 U9

Himagain 1 solutions 15 answers

I have the same problem PLUS: I went to java.com and attempted the upgrade. It went thru the process ok after warning me to upgrade. However, I am now left with 3 warning notices telling me to upgrade. None of which will cancel!

I went to Add-ons and couldn't enable there as the buttons say both the functions *are* enabled and in fact,won't disable. I have also never seen the icon (as mentioned on the manual support page here) in the address bar.

I have only 3 Sites I visit which won't hold data inserted on their home pages. The static page comes up, followed by the dynamic data which lasts for about 2 seconds and then wipes. T.I.A.